<?php

//checks e-mail format
function admin_check_email($email) {
    #characters allowed on name: 0-9a-Z-._ on host: 0-9a-Z-. on between: @
    if (!preg_match('/^[0-9a-zA-Z\.\-\_]+\@[0-9a-zA-Z\.\-]+$/', $email))
        return false;

    #must start or end with alpha or num
    if ( preg_match('/^[^0-9a-zA-Z]|[^0-9a-zA-Z]$/',$email))
        return false;

    #name must end with alpha or num
    if (!preg_match('/([0-9a-zA-Z_]{1})\@./',$email) )                    
        return false;

    #host must start with alpha or num
    if (!preg_match('/.\@([0-9a-zA-Z_]{1})/',$email) )                    
        return false;

    #pair .- or -. or -- or .. not allowed
    if ( preg_match('/.\.\-.|.\-\..|.\.\..|.\-\-./',$email) )
        return false;

    #pair ._ or -_ or _. or _- or __ not allowed
    if ( preg_match('/.\.\_.|.\-\_.|.\_\..|.\_\-.|.\_\_./',$email) )
        return false;

    #host must end with '.' plus 2-5 alpha for TopLevelDomain
    if (!preg_match('/\.([a-zA-Z]{2,5})$/',$email) )
        return false;

    return true;
}


//


/*
	Check if a session user id exist or not. If not set redirect
	to login page. If the user session id exist and there's found
	$_GET['logout'] in the query string logout the user
*/
function checkAdmin()
{
	// if the session id is not set, redirect to login page
	if (!isset($_SESSION['admin_id'])) {
		header('Location:'. WEB_ROOT. 'admin_login.php');
		exit;
	}
	
	// the user want to logout
	if (isset($_GET['adminlogout'])) {
	AdminLogout();

		
	}
}
/*function checkUser()
{
	// if the session id is not set, redirect to login page
	if (!isset($_SESSION['user_id'])) {
		header('Location: ' .SRV_ROOT . ADMIN_PAGES . 'admin_login.php');
		$report="You must login first!";
		exit;
	}
	
	// the user want to logout
	if (isset($_GET['adminlogout'])) {
		AdminLogout();
	}
}


	
*/

function LoginAdmin()
{

	// if we found an error save the error message in this variable
	$errorMessage = '';
	
	$admin_name = $_POST['admin_name'];
	$admin_password = $_POST['admin_password'];
	
	// first, make sure the username & password are not empty
	if ($admin_name == '') {
		$errorMessage =warning. 'You must enter your username';
	} else if ($admin_password == '') {
		$errorMessage = warning.'You must enter your password';
	} else {
		// check the database and see if the username and password combo do match
		$sql = "SELECT *
		        FROM admin 
				WHERE admin_name = '$admin_name' AND admin_password = '$admin_password'";
		$result = dbQuery($sql);
	
		if (dbNumRows($result) == 1) {
			$row = dbFetchAssoc($result);
			$_SESSION['admin_id'] = $row['admin_id'];
			
			// log the time when the user last login
			$sql = "UPDATE admin
			        SET last_login = NOW() 
					WHERE admin_id = '{$row['admin_id']}'";
			dbQuery($sql);

			// now that the user is verified, we move on to the next page
            // if the user had been in the user page before we move to
			// the last page visited
			
			if (isset($_SESSION['login_return_url'])) {
                header('Location: ' . $_SESSION['login_return_url']);
                exit;
            } else {
                header('Location: index.php');
                exit;
            }
        } else {
            $errorMessage =warning. 'Wrong username or password';
        }        
            
    }
    
    return $errorMessage;
}


/*
	Logout a user
*/
function AdminLogout()
{
	if (isset($_SESSION['admin_id']))
	 {
		unset($_SESSION['admin_id']);
		session_unregister('admin_id');
	 }
        
  header('Location:' . WEB_ROOT .'admin_login.php');

	/*echo"<script location.href= WEB_ROOT . 'admin_login.php';'></script>";*/
   // exit;
}








function getCountrySelected($country)
{
	$listCountry=array('Singapore ',
				'Canada ',
				'Afghanistan ',
				'Albania ',
				'Algeria ',
				'American Samoa ',
				'Andorra ',
				'Angola ',
				'Anguilla ',
				'Antarctica ',
				'Antigua and Barbuda ',
				'Argentina ',
				'Armenia ',
				'Aruba ',
				'Australia ',
				'Austria ',
				'Azerbaijan ',
				'Bahamas ',
				'Bahrain ',
				'Bangladesh ',
				'Barbados ',
				'Belarus ',
				'Belgium ',
				'Belize ',
				'Benin ',
				'Bermuda ',
				'Bhutan ',
				'Bolivia ',
				'Bosnia and Herzegovina ',
				'Botswana ',
				'Bouvet Island ',
				'Brazil ',
				'British Indian Ocean Territory ',
				'British Virgin Islands ',
				'Brunei ',
				'Bulgaria ',
				'Burkina Faso ',
				'Burundi ',
				'Cambodia ',
				'Cameroon ',
				'Cape Verde ',
				'Cayman Islands ',
				'Central African Republic ',
				'Chad ',
				'Chile ',
				'China ',
				'Christmas Island ',
				'Cocos Islands ',
				'Colombia ',
				'Comoros ',
				'Congo ',
				'Cook Islands ',
				'Costa Rica ',
				'Croatia ',
				'Cuba ',
				'Cyprus ',
				'Czech Republic ',
				'Denmark ',
				'Djibouti ',
				'Dominica ',
				'Dominican Republic ',
				'East Timor ',
				'Ecuador ',
				'Egypt ',
				'El Salvador ',
				'Equatorial Guinea ',
				'Eritrea ',
				'Estonia ',
				'Ethiopia ',
				'Falkland Islands ',
				'Faroe Islands ',
				'Fiji ',
				'Finland ',
				'France ',
				'French Guiana ',
				'French Polynesia ',
				'French Southern Territories ',
				'Gabon ',
				'Gambia ',
				'Georgia ',
				'Germany ',
				'Ghana ',
				'Gibraltar ',
				'Greece ',
				'Greenland ',
				'Grenada ',
				'Guadeloupe ',
				'Guam ',
				'Guatemala ',
				'Guinea ',
				'Guinea-Bissau ',
				'Guyana ',
				'Haiti ',
				'Heard and McDonald Islands ',
				'Honduras ',
				'Hong Kong ',
				'Hungary ',
				'Iceland ',
				'India ',
				'Indonesia ',
				'Iran ',
				'Iraq ',
				'Ireland ',
				'Israel ',
				'Italy ',
				'Ivory Coast ',
				'Jamaica ',
				'Japan ',
				'Jordan ',
				'Kazakhstan ',
				'Kenya ',
				'Kiribati ',
				'North Korea ',
				'South Korea ',
				'Kuwait ',
				'Kyrgyzstan ',
				'Laos ',
				'Latvia ',
				'Lebanon ',
				'Lesotho ',
				'Liberia ',
				'Libya ',
				'Liechtenstein ',
				'Lithuania ',
				'Luxembourg ',
				'Macau ',
				'Macedonia ',
				'Madagascar ',
				'Malawi ',
				'Malaysia ',
				'Maldives ',
				'Mali ',
				'Malta ',
				'Marshall Islands ',
				'Martinique ',
				'Mauritania ',
				'Mauritius ',
				'Mayotte ',
				'Mexico ',
				'Micronesia ',
				'Moldova ',
				'Monaco ',
				'Mongolia ',
				'Montserrat ',
				'Morocco ',
				'Mozambique ',
				'Myanmar ',
				'Namibia ',
				'Nauru ',
				'Nepal ',
				'Netherlands ',
				'Netherlands Antilles ',
				'New Caledonia ',
				'New Zealand ',
				'Nicaragua ',
				'Niger ',
				'Nigeria ',
				'Niue ',
				'Norfolk Island ',
				'Northern Mariana Islands ',
				'Norway ',
				'Oman ',
				'Pakistan ',
				'Palau ',
				'Panama ',
				'Papua New Guinea ',
				'Paraguay ',
				'Peru ',
				'Philippines ',
				'Pitcairn Island ',
				'Poland ',
				'Portugal ',
				'Puerto Rico ',
				'Qatar ',
				'Reunion ',
				'Romania ',
				'Russia ',
				'Rwanda ',
				'S. Georgia and S. Sandwich Isls. ',
				'Saint Kitts &amp; Nevis ',
				'Saint Lucia ',
				'Saint Vincent and The Grenadines ',
				'Samoa ',
				'San Marino ',
				'Sao Tome and Principe ',
				'Saudi Arabia ',
				'Senegal ',
				'Seychelles ',
				'Sierra Leone ',
				'Slovakia ',
				'Slovenia ',
				'Solomon Islands ',
				'Somalia ',
				'South Africa ',
				'Spain ',
				'Sri Lanka ',
				'St. Helena ',
				'St. Pierre and Miquelon ',
				'Sudan ',
				'Suriname ',
				'Svalbard and Jan Mayen Islands ',
				'Swaziland ',
				'Sweden ',
				'Switzerland ',
				'Syria ',
				'Taiwan ',
				'Tajikistan ',
				'Tanzania ',
				'Thailand ',
				'Togo ',
				'Tokelau ',
				'Tonga ',
				'Trinidad and Tobago ',
				'Tunisia ',
				'Turkey ',
				'Turkmenistan ',
				'Turks and Caicos Islands ',
				'Tuvalu ',
				'U.S. Minor Outlying Islands ',
				'Uganda ',
				'Ukraine ',
				'United Arab Emirates ',
				'United Kingdom ',
				'United States',
				'Uruguay ',
				'Uzbekistan ',
				'Vanuatu ',
				'Vatican City ',
				'Venezuela ',
				'Vietnam ',
				'Virgin Islands ',
				'Wallis and Futuna Islands ',
				'Western Sahara ',
				'Yemen ',
				'Serbia and Montenegro ',
				'Zaire ',
				'Zambia ',
				'Zimbabwe ');
		$numList =count($listCountry);
		$i=0;
		$selected='';
		for($i=0; $i<$numList; $i++)
		{
			if($country==trim($listCountry[$i]))
				$selected='selected';
			else
				$selected='';
			echo "<option $selected>" . trim($listCountry[$i]) . "</option>";
		}
}

//music genre function

function getMusicGenre($user_music_genre)
{
$musicGenre=array('Art Music', 
'Blues',
'Electronic',
'Folk',
'Heavy metal',
'Hip hop',
'Post-industrial',
'Jazz',
'Popular music',
'Reggae',
'Rock');

$genreList=count($musicGenre);
$i=0;
$selected='';
for($i=0;$i<$genreList; $i++)
{

if($user_music_genre==trim($musicGenre[$i]))
$selected='selected';
else
$selected='';
echo"<option $selected>".trim($musicGenre[$i])."</option>";
}

}

//end
function getGender($user_gender)
{
$Gender=array('Male', 
'Female');

$GenderList=count($Gender);
$i=0;
$selected='';
for($i=0;$i<$GenderList; $i++)
{

if($user_gender==trim($Gender[$i]))
$selected='selected';
else
$selected='';
echo"<option $selected>".trim($Gender[$i])."</option>";
}
}




/*
	Logout an administrator
*/


function getStatus($status)
{
$Status=array('Public', 
              'Private');

$StatusList=count($Status);
$i=0;
$selected='';
for($i=0;$i<$StatusList; $i++)
{

if($status==trim($Status[$i]))
$selected='selected';
else
$selected='';
echo"<option $selected>".trim($Status[$i])."</option>";
}

}



function getPagingQueryUsers($sql, $itemPerPage = 4)
{
	if (isset($_GET['page']) && (int)$_GET['page'] > 0) {
		$page = (int)$_GET['page'];
	} else {
		$page = 1;
	}
	
	// start fetching from this row number
	$offset = ($page - 1) * $itemPerPage;
	
	return $sql . " LIMIT $offset, $itemPerPage";
}

/*
	Get the links to navigate between one result page to another.
	Supply a value for $strGet if the page url already contain some
	GET values for example if the original page url is like this :
	
	http://www.phpwebcommerce.com/plaincart/index.php?c=12
	
	use "c=12" as the value for $strGet. But if the url is like this :
	
	http://www.phpwebcommerce.com/plaincart/index.php
	
	then there's no need to set a value for $strGet
	
	
*/

function getPagingLinkUsers($sql, $itemPerPage = 10, $strGet='view=users')
{
	$result        = dbQuery($sql);
	$pagingLink    = '';
	$totalResults  = dbNumRows($result);
	$totalPages    = ceil($totalResults / $itemPerPage);
	
	// how many link pages to show
	$numLinks      = 10;

		
	// create the paging links only if we have more than one page of results
	if ($totalPages > 1) {
	
		$self = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'] ;
		

		if (isset($_GET['page']) && (int)$_GET['page'] > 0) {
			$pageNumber = (int)$_GET['page'];
		} else {
			$pageNumber = 1;
		}
		
		// print 'previous' link only if we're not
		// on page one
		if ($pageNumber > 1) {
			$page = $pageNumber - 1;
			if ($page > 1) {
				$prev = " <a href=\"$self?page=$page&$strGet/\">[Prev]</a> ";
			} else {
				$prev = " <a href=\"$self?$strGet\">[Prev]</a> ";
			}	
				
			$first = " <a href=\"$self?$strGet\">[First]</a> ";
		} else {
			$prev  = ''; // we're on page one, don't show 'previous' link
			$first = ''; // nor 'first page' link
		}
	
		// print 'next' link only if we're not
		// on the last page
		if ($pageNumber < $totalPages) {
			$page = $pageNumber + 1;
			$next = " <a href=\"$self?page=$page&$strGet\">[Next]</a> ";
			$last = " <a href=\"$self?page=$totalPages&$strGet\">[Last]</a> ";
		} else {
			$next = ''; // we're on the last page, don't show 'next' link
			$last = ''; // nor 'last page' link
		}

		$start = $pageNumber - ($pageNumber % $numLinks) + 1;
		$end   = $start + $numLinks - 1;		
		
		$end   = min($totalPages, $end);
		
		$pagingLink = array();
		for($page = $start; $page <= $end; $page++)	{
			if ($page == $pageNumber) {
				$pagingLink[] = " $page ";   // no need to create a link to current page
			} else {
				if ($page == 1) {
					$pagingLink[] = " <a href=\"$self?$strGet\">$page</a> ";
				} else {	
					$pagingLink[] = " <a href=\"$self?page=$page&$strGet\">$page</a> ";
				}	
			}
	
		}
		
		$pagingLink = implode(' | ', $pagingLink);
		
		// return the page navigation link
		$pagingLink = $first . $prev . $pagingLink . $next . $last;
	}
	
	return $pagingLink;
}


			

	
function getPagingQueryOnlineUsers($sql, $itemPerPage = 4)
{
	if (isset($_GET['page']) && (int)$_GET['page'] > 0) {
		$page = (int)$_GET['page'];
	} else {
		$page = 1;
	}
	
	// start fetching from this row number
	$offset = ($page - 1) * $itemPerPage;
	
	return $sql . " LIMIT $offset, $itemPerPage";
}

/*
	Get the links to navigate between one result page to another.
	Supply a value for $strGet if the page url already contain some
	GET values for example if the original page url is like this :
	
	http://www.phpwebcommerce.com/plaincart/index.php?c=12
	
	use "c=12" as the value for $strGet. But if the url is like this :
	
	http://www.phpwebcommerce.com/plaincart/index.php
	
	then there's no need to set a value for $strGet
	
	
*/

function getPagingLinkOnlineUsers($sql, $itemPerPage = 10, $strGet='view=users')
{
	$result        = dbQuery($sql);
	$pagingLink    = '';
	$totalResults  = dbNumRows($result);
	$totalPages    = ceil($totalResults / $itemPerPage);
	
	// how many link pages to show
	$numLinks      = 10;

		
	// create the paging links only if we have more than one page of results
	if ($totalPages > 1) {
	
		$self = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'] ;
		

		if (isset($_GET['page']) && (int)$_GET['page'] > 0) {
			$pageNumber = (int)$_GET['page'];
		} else {
			$pageNumber = 1;
		}
		
		// print 'previous' link only if we're not
		// on page one
		if ($pageNumber > 1) {
			$page = $pageNumber - 1;
			if ($page > 1) {
				$prev = " <a href=\"$self?page=$page&$strGet/\">[Prev]</a> ";
			} else {
				$prev = " <a href=\"$self?$strGet\">[Prev]</a> ";
			}	
				
			$first = " <a href=\"$self?$strGet\">[First]</a> ";
		} else {
			$prev  = ''; // we're on page one, don't show 'previous' link
			$first = ''; // nor 'first page' link
		}
	
		// print 'next' link only if we're not
		// on the last page
		if ($pageNumber < $totalPages) {
			$page = $pageNumber + 1;
			$next = " <a href=\"$self?page=$page&$strGet\">[Next]</a> ";
			$last = " <a href=\"$self?page=$totalPages&$strGet\">[Last]</a> ";
		} else {
			$next = ''; // we're on the last page, don't show 'next' link
			$last = ''; // nor 'last page' link
		}

		$start = $pageNumber - ($pageNumber % $numLinks) + 1;
		$end   = $start + $numLinks - 1;		
		
		$end   = min($totalPages, $end);
		
		$pagingLink = array();
		for($page = $start; $page <= $end; $page++)	{
			if ($page == $pageNumber) {
				$pagingLink[] = " $page ";   // no need to create a link to current page
			} else {
				if ($page == 1) {
					$pagingLink[] = " <a href=\"$self?$strGet\">$page</a> ";
				} else {	
					$pagingLink[] = " <a href=\"$self?page=$page&$strGet\">$page</a> ";
				}	
			}
	
		}
		
		$pagingLink = implode(' | ', $pagingLink);
		
		// return the page navigation link
		$pagingLink = $first . $prev . $pagingLink . $next . $last;
	}
	
	return $pagingLink;
}


function buildCategoryOptions($catId = 0)
{
	$sql = "SELECT cat_id, cat_parent_id, cat_name
			FROM tbl_category
			ORDER BY cat_id";
	$result =& dbQuery($sql) or die('Cannot get Product. ' . mysql_error());

	$categories = array();
	while($row =& dbFetchArray($result)) {
		list($id, $parentId, $name) = $row;

		if ($parentId == 0) {
			// we create a new array for each top level categories
			$categories[$id] = array('name' => $name, 'children' => array());
		} else {
			// the child categories are put int the parent category's array
			$categories[$parentId]['children'][] = array('id' => $id, 'name' => $name);
		}
	}

	// build combo box options
	$list = '';
	foreach ($categories as $key => $value) {
		$name     = $value['name'];
		$children = $value['children'];

		$list .= "<optgroup label=\"$name\">";

		foreach ($children as $child) {
			$list .= "<option value=\"{$child['id']}\"";
			if ($child['id'] == $catId) {
				$list.= " selected";
			}

			$list .= ">{$child['name']}</option>\r\n";
		}

		$list .= "</optgroup>";
	}

	return $list;
}

function getSkinBGIDIR()
{
	$sql = "SELECT *
			FROM tbl_shop_config";
	$result = dbQuery($sql);
	$row    = dbFetchAssoc($result);
	return $row['sc_bgi'];
}
function displayAmount($amount)
{
	global $shopConfig;
	return $shopConfig['currency'] . number_format($amount,2);
}

//BACK UP FUNCTION
function listBackup() {
	
		global $backupRoot, $backup_array;

		$mydir = opendir($backupRoot);
		$i = 0;
		
		while($fn = readdir($mydir)) {
		
			if ( ereg("backup.sql", $fn) ) {
				$backup_array[$i]["name"] = $fn;
				$backup_array[$i]["fullpath"] = $backupRoot . "/" . $fn;
//				echo $backup_array[$i]["name"] . " ".  $backup_array[$i]["fullpath"] . " <BR>\n";
				$i++;
			}
		}
		closedir($mydir);
	}
	
	function getBackupDate( $filename ) {
		$t = split("_backup.sql", $filename) ;
		return getDateStr( $t[0] ) . " - " . getTimeStr( $t[0] );
	}
	
	function getDateStr($in_stamp)

  {

  	$date = getDate($in_stamp);

    $day = $date['mday'];

    $month = $date['month'];

    $year = $date['year'];

    return $day." ".$month." ".$year;

  }



  function getTimeStr($in_stamp)
  {
  	$time = getDate($in_stamp);
    $hrs = $time['hours'];
    $mins = (strlen($time['minutes']) == 1) ? "0".$time['minutes'] : $time['minutes'];
    $secs = (strlen($time['seconds']) == 1) ? "0".$time['seconds'] : $time['seconds'];
    return $hrs.":".$mins.":".$secs;
  }
  
  function listTbl() {
		
	    $result = mysql_list_tables(MYSQL_DB);
    
    	if (!$result) {
        	print "DB Error, could not list tables\n";
	        print 'MySQL Error: ' . mysql_error();
	        exit;
    	}
    
	    while ($row = mysql_fetch_row($result)) {
				$query = "select * from " .$row[0] ;	
				$tables_array[] = $row[0];
	    }

		echo "<TR><TD class=stylejoenas>";		
		echo "<select name=\"select_tables[]\" size=\"10\"  class=\"tall10\" multiple>";
        for($i=0; $i < count($tables_array); $i++ ) {
			echo "<option value=\"" .$tables_array[$i] ."\" selected>" . $tables_array[$i] ."</option>\n";				
		}
		echo "</select>";
		echo "</TD></TR>\n";

	}
	
	function listTblField() {
	
		global $select_tables;
		echo "\n<form action=\"index.php?view=backup_export\" method=get>";
		echo "<input name=view type=hidden id=view value=backup_export>";
		for ($i=0; $i < count($select_tables); $i++) {

			echo "<tr>";
			echo "<td class=stylejoenas width=24%> $select_tables[$i] </td>";
					
			$fields = mysql_list_fields(MYSQL_DB, $select_tables[$i]);
			$columns = mysql_num_fields($fields);
			
			echo "<td> ";
			echo "<select name=\"select_fields".$i."[]\" size=\"10\" class=\"stylejoenas\" multiple>\n";	


			for ($j = 0; $j < $columns; $j++)
	      	{
				echo "<option value=\"" .mysql_field_name($fields, $j)."\" selected>" . mysql_field_name($fields, $j) ."</option>\n";
			}
			echo "</select>";
			echo "</td>\n";
			echo "<td class=stylejoenas> ";
			echo "<input type=hidden name=\"table_name".$i."\" value=\"$select_tables[$i]\">\n";			
			echo "</td>\n";
							
			echo "</tr>\n";
  
		}
		//display the delimited field
		echo "<tr><td class=stylejoenas>";
		echo "Delimiter";
		echo "<td>";		
		echo "<select name=delim class=\"stylejoenas\" >";
		echo "<option value=></option>";
		echo "<option value=comma selected>Comma (,)</option>";
		echo "<option value=tab>Tab</option></select>";
		echo "</tr>\n";
		
		//display the file format
		echo "<tr><td class=stylejoenas>";
		echo "File Format";
		echo "<td>";		
		echo "<select  class=\"stylejoenas\" name=format>";
		echo "<option value=csv>CSV</option>";
		echo "<option value=txt>Text File</option></select>";
		echo "</tr>\n";
		
		//display the enclosed by
		echo "<tr><td class=stylejoenas>";
		echo "Enclosed by";
		echo "<td>";		
		echo "<select  class=\"stylejoenas\" name=enc>";
		echo "<option value=0></option>";
		echo "<option value=1>Single quote</option>";
		echo "<option value=2 selected>Double quote</option></select>";
		echo "</tr>\n";		
		
		//display export button
		echo "<tr>\n";
		
		echo "<td colspan=2 align=left><input type=submit name=export value=export class=btn> </td>";
		echo "</tr>\n";

		echo "<input type=hidden name=action value=export_table>\n";		
		echo "<input type=hidden name=total_tables value=". count($select_tables) ." >\n";
		echo "</form>\n";  
						
	}
 function ProcessTables() {
	
		global $total_tables;
		global $HTTP_GET_VARS;
		global $backupRoot;
		
		$format = $HTTP_GET_VARS["format"];
		$export_file = $backupRoot . "/export_" .time() . "." . $format;


		//find the delimiter			
		$delim = $HTTP_GET_VARS["delim"];
		if ($delim == "comma") {
			$delim = ",";
		}
		else if ($delim == "tab") {
			$delim = "\t";
		}
		
		//find the enclosed by 
		$enc = $HTTP_GET_VARS["enc"];
		if ($enc == "1") {
			$enc = "'";
		}
		else if ($enc == "2") {
			$enc = "\"";
		}

		$out = fopen($export_file, "w");

		for ($i=0; $i<$total_tables; $i++) {
	
			//print the table
			$table = $HTTP_GET_VARS["table_name".$i];
			fwrite($out, "<--- Table: ". $table . " --->\n");
			
			//print the fields
			$select_fields = $HTTP_GET_VARS["select_fields".$i];						
			$fieldStr = "";
			for ($j=0; $j<count($select_fields); $j++) {
				$fieldStr .= $select_fields[$j]  . " ,";
			}
			$fieldStr = substr($fieldStr, 0, strlen($fieldStr)-1);			
			fwrite($out, $fieldStr . "\n");


			$query = " Select ";
			for ($j=0; $j<count($select_fields); $j++) {
				$query .= $select_fields[$j]  . ",";
			}
			
			$query = substr($query, 0, strlen($query)-1);
			$query .= " from $table";
			
			$result = mysql_query($query);
		
			if (!$result) {
				print "DB Error, could not list tables\n";
				print 'MySQL Error: ' . mysql_error();
				exit;
			}

		
			// display the field
			while ($row = mysql_fetch_row($result)) {
				$t = "";
				for($j=0; $j<count($row); $j++) {
					$t .= $enc. $row[$j] .$enc. $delim;
				}
				$t = substr($t, 0, strlen($t)-1);
				fwrite($out, $t. "\n");							
			}
		}
		fclose($out);

		echo "<tr><td class=\"tall14\" height=\"20\"><span class=\"stylejoenas\"><a href=" .$export_file.">Download Exported File Here</a></span></td></tr>\n";
	}
//end

//upload in gallery
function uploadFile(){		
	global $msg, $id;
	$sql = "SELECT * FROM tbl_photo_cat";
	$res = dbQuery($sql);
	$cnt = dbNumRows($res);
	
		$file = $_FILES['image_filename'];
		$filename = $file['name'];
		if ($filename == '') $filename = $filename;
		$sql = "SELECT * FROM tbl_photo_cat WHERE image='$filename'";
		$res = dbQuery($sql);
		$ext = substr(strrchr($file['name'], "."), 1);
		
		if ($file['name'] == '') 
		$msg =warning. "Error: Upload Failed. You did not upload any file";
		if (dbNumRows($res)!=0) 
		$msg = warning."Error: You have uploaded a duplicate file. Please choose another.";
		if ($file['name'] != '' && dbNumRows($res) == 0) 
		{
		if (($ext == "jpg") || ($ext == "gif") || ($ext == "png")) 
		{
				$sql = "INSERT INTO tbl_photo_cat(image)
						VALUES('$filename')";
				dbQuery($sql);
			
				//$sql = "INSERT INTO tbl_today_artist(pic_thumb)
						//VALUES('$filename')";
				//dbQuery($sql);
				
				move_uploaded_file($file['tmp_name'], SRV_ROOT . PHOTO_ALBUMS . $filename);
				$msg =success. "File was uploaded Successfully";			
				
				} 
				else {
				$msg = warning."Error: Upload Failed. The file you uploaded is not a valid image. Please try again.";	
				}		
		}
}

//end
//upload in banner
/* function uploadFile10(){		
	global $msg, $id;
	$sql = "SELECT * FROM tbl_banner";
	$res = dbQuery($sql);
	$cnt = dbNumRows($res);
	
		$file = $_FILES['image_filename'];
		$filename = $file['name'];
		if ($filename == '') $filename = $filename;
		$sql = "SELECT * FROM tbl_banner WHERE image='$filename'";
		$res = dbQuery($sql);
		$ext = substr(strrchr($file['name'], "."), 1);
		
		if ($file['name'] == '') 
		$msg =warning. "Error: Upload Failed. You did not upload any file";
		if (dbNumRows($res)!=0) 
		$msg = warning."Error: You have uploaded a duplicate file. Please choose another.";
		if ($file['name'] != '' && dbNumRows($res) == 0) 
		{
		if (($ext == "jpg") || ($ext == "gif") || ($ext == "png")) 
		{
				$sql = "INSERT INTO tbl_banner(image)
						VALUES('$filename')";
				dbQuery($sql);
			
				//$sql = "INSERT INTO tbl_today_artist(pic_thumb)
						//VALUES('$filename')";
				//dbQuery($sql);
				
				move_uploaded_file($file['tmp_name'], SRV_ROOT . BANNER . $filename);
				$msg =success. "File was uploaded Successfully";			
				
				} 
				else {
				$msg = warning."Error: Upload Failed. The file you uploaded is not a valid image. Please try again.";	
				}		
		}
}
 */
//end

function uploadFile1(){		
	global $msg, $id;
	$sql = "SELECT * FROM tbl_girls_photo";
	$res = dbQuery($sql);
	$cnt = dbNumRows($res);
	
		$file = $_FILES['image_filename'];
		$filename = $file['name'];
		if ($filename == '') $filename = $filename;
		$sql = "SELECT * FROM tbl_girls_photo WHERE photo_main='$filename'";
		$res = dbQuery($sql);
		$ext = substr(strrchr($file['name'], "."), 1);
		
		if ($file['name'] == '') 
		$msg =warning. "Error: Upload Failed. You did not upload any file";
		if (dbNumRows($res)!=0) 
		$msg = warning."Error: You have uploaded a duplicate file. Please choose another.";
		if ($file['name'] != '' && dbNumRows($res) == 0) 
		{
		if (($ext == "jpg") || ($ext == "gif") || ($ext == "png")) 
		{
				$sql = "INSERT INTO tbl_girls_photo(girl_id, photo_main, photo_main_thumb)
						VALUES('$filename', '$filename')";
				dbQuery($sql);
			
				//$sql = "INSERT INTO tbl_today_artist(pic_thumb)
						//VALUES('$filename')";
				//dbQuery($sql);
				
				move_uploaded_file($file['tmp_name'], SRV_ROOT . PHOTO_GIRLS . $filename);
				$msg =success. "File was uploaded Successfully";			
				
				} 
				else {
				$msg = warning."Error: Upload Failed. The file you uploaded is not a valid image. Please try again.";	
				}		
		}
}

function getPagingQueryGallery1($sql, $itemPerPage = 10)
{
	if (isset($_GET['page']) && (int)$_GET['page'] > 0) {
		$page = (int)$_GET['page'];
	} else {
		$page = 1;
	}
	
	// start fetching from this row number
	$offset = ($page - 1) * $itemPerPage;
	
	return $sql . " LIMIT $offset, $itemPerPage";
}
///////////photo girls
/*function uploadFile2(){		
	global $msg, $id;
	$sql = "SELECT * FROM tbl_gphotos";
	$res = dbQuery($sql);
	$cnt = dbNumRows($res);
	
		$file = $_FILES['image_filename'];
		$filename = $file['name'];
		if ($filename == '') $filename = $filename;
		$sql = "SELECT * FROM tbl_gphotos WHERE file_name='$filename'";
		$res = dbQuery($sql);
		$ext = substr(strrchr($file['name'], "."), 1);
		
		if ($file['name'] == '') 
		$msg =warning. "Error: Upload Failed. You did not upload any file";
		if (dbNumRows($res)!=0) 
		$msg = warning."Error: You have uploaded a duplicate file. Please choose another.";
		if ($file['name'] != '' && dbNumRows($res) == 0) 
		{
		if (($ext == "jpg") || ($ext == "gif") || ($ext == "png")) 
		{
				$sql = "INSERT INTO tbl_gphotos(girl_id, file_id, file_name)
						VALUES('$filename', '$filename')";
				dbQuery($sql);
			
				//$sql = "INSERT INTO tbl_today_artist(pic_thumb)
						//VALUES('$filename')";
				//dbQuery($sql);
				
				move_uploaded_file($file['tmp_name'], SRV_ROOT . PHOTO_GGIRLS . $filename);
				$msg =success. "File was uploaded Successfully";			
				
				} 
				else {
				$msg = warning."Error: Upload Failed. The file you uploaded is not a valid image. Please try again.";	
				}		
		}
}*/
/////////////
//pagination in gallery
function getPagingQueryGallery($sql, $itemPerPage = 4)
{
	if (isset($_GET['page']) && (int)$_GET['page'] > 0) {
		$page = (int)$_GET['page'];
	} else {
		$page = 1;
	}
	
	// start fetching from this row number
	$offset = ($page - 1) * $itemPerPage;
	
	return $sql . " LIMIT $offset, $itemPerPage";
}

/*
	Get the links to navigate between one result page to another.
	Supply a value for $strGet if the page url already contain some
	GET values for example if the original page url is like this :
	
	http://www.phpwebcommerce.com/plaincart/index.php?c=12
	
	use "c=12" as the value for $strGet. But if the url is like this :
	
	http://www.phpwebcommerce.com/plaincart/index.php
	
	then there's no need to set a value for $strGet
	
	
*/

function getPagingLinkGallery($sql, $itemPerPage = 10, $strGet='view=girls')
{
	$result        = dbQuery($sql);
	$pagingLink    = '';
	$totalResults  = dbNumRows($result);
	$totalPages    = ceil($totalResults / $itemPerPage);
	
	// how many link pages to show
	$numLinks      = 10;

		
	// create the paging links only if we have more than one page of results
	if ($totalPages > 1) {
	
		$self = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'] ;
		

		if (isset($_GET['page']) && (int)$_GET['page'] > 0) {
			$pageNumber = (int)$_GET['page'];
		} else {
			$pageNumber = 1;
		}
		
		// print 'previous' link only if we're not
		// on page one
		if ($pageNumber > 1) {
			$page = $pageNumber - 1;
			if ($page > 1) {
				$prev = " <a href=\"$self?page=$page&$strGet/\">[Prev]</a> ";
			} else {
				$prev = " <a href=\"$self?$strGet\">[Prev]</a> ";
			}	
				
			$first = " <a href=\"$self?$strGet\">[First]</a> ";
		} else {
			$prev  = ''; // we're on page one, don't show 'previous' link
			$first = ''; // nor 'first page' link
		}
	
		// print 'next' link only if we're not
		// on the last page
		if ($pageNumber < $totalPages) {
			$page = $pageNumber + 1;
			$next = " <a href=\"$self?page=$page&$strGet\">[Next]</a> ";
			$last = " <a href=\"$self?page=$totalPages&$strGet\">[Last]</a> ";
		} else {
			$next = ''; // we're on the last page, don't show 'next' link
			$last = ''; // nor 'last page' link
		}

		$start = $pageNumber - ($pageNumber % $numLinks) + 1;
		$end   = $start + $numLinks - 1;		
		
		$end   = min($totalPages, $end);
		
		$pagingLink = array();
		for($page = $start; $page <= $end; $page++)	{
			if ($page == $pageNumber) {
				$pagingLink[] = " $page ";   // no need to create a link to current page
			} else {
				if ($page == 1) {
					$pagingLink[] = " <a href=\"$self?$strGet\">$page</a> ";
				} else {	
					$pagingLink[] = " <a href=\"$self?page=$page&$strGet\">$page</a> ";
				}	
			}
	
		}
		
		$pagingLink = implode(' | ', $pagingLink);
		
		// return the page navigation link
		$pagingLink = $first . $prev . $pagingLink . $next . $last;
	}
	
	return $pagingLink;
}


//end pagination in gallery
function findexts($file)
{
$file = strtolower($file) ;
$exts = split("[/\\.]", $file) ;
$n = count($exts)-1;
$exts = $exts[$n];
return $exts;
}
?>