<?php
require_once '../library/admin_functions.php';
require_once '../../library/config.php';

checkAdmin();

$action = isset($_GET['action']) ? $_GET['action'] : '';

switch ($action) {
	case 'addProduct' :
		addProduct();
		break;
		
	case 'modifyProduct' :
		modifyProduct();
		break;
		
	case 'deleteProduct' :
		deleteProduct();
		break;
	
	case 'deleteImage' :
		deleteImage();
		break;
	case 'prod_dis':	
		prod_dis_list();		
		break;
	case 'prod_fast':	
		prod_fast_list();		
		break;
	case 'prod_slow':	
		prod_slow_list();		
		break;
	default :
	    // if action is not defined or unknown
		// move to main product page
		header('Location: index.php');
}


function addProduct()
{
    $catId       = $_POST['cboCategory'];
    $name        = $_POST['txtName'];
	$description = $_POST['mtxDescription'];
	$price       = str_replace(',', '', (double)$_POST['txtPrice']);
	$qty         = (int)$_POST['txtQty'];
    //$image       = $_FILES['fleImage'];
	$images = uploadProductImage('fileImage2', SRV_ROOT . PRODUCT_IMAGE_DIR);

	$mainImage = $images['image'];
	$thumbnail = $images['thumbnail'];
	
	$sql   = "INSERT INTO tbl_product (cat_id, pd_name, pd_description, pd_price, pd_qty, pd_image, pd_thumbnail, pd_date)
	          VALUES ('$catId', '$name', '$description', $price, $qty, '$mainImage', '$thumbnail', NOW())";

	$result =& dbQuery($sql);
	
	//header('Location: index.php?view=prolist');	
	echo "<script>location.href='../index.php?view=prolist'</script>";
}

/*
	Upload an image and return the uploaded image name 
*/
function uploadProductImage($inputName, $uploadDir)
{
	$image     = $_FILES[$inputName];
	$imagePath = '';
	$thumbnailPath = '';
	
	// if a file is given
	if (trim($image['tmp_name']) != '') {
		$ext = substr(strrchr($image['name'], "."), 1); //$extensions[$image['type']];

		// generate a random new file name to avoid name conflict
		$imagePath = md5(rand() * time()) . ".$ext";
		//$thumbnailPath = $imagePath;
		list($width, $height, $type, $attr) = getimagesize($image['tmp_name']); 

		// make sure the image width does not exceed the
		// maximum allowed width
		if (LIMIT_PRODUCT_WIDTH && $width > MAX_PRODUCT_IMAGE_WIDTH) {
			$result    = createThumbnail($image['tmp_name'], $uploadDir . $imagePath, MAX_PRODUCT_IMAGE_WIDTH);
			$imagePath = $result;
		} else {
			$result = move_uploaded_file($image['tmp_name'], $uploadDir . $imagePath);
		}
		
		if ($result) {
			// create thumbnail
			$thumbnailPath =  md5(rand() * time()) . ".$ext";
			$result = createThumbnail($uploadDir . $imagePath, $uploadDir . $thumbnailPath, THUMBNAIL_WIDTH);
			
			// create thumbnail failed, delete the image
			if (!$result) {
				unlink($uploadDir . $imagePath);
				$imagePath = $thumbnailPath = '';
			} else {
				$thumbnailPath = $result;
			}
		} else {
			// the product cannot be upload / resized
			$imagePath = $thumbnailPath = '';
		}
		
	}

	
	return array('image' => $imagePath, 'thumbnail' => $thumbnailPath);

}

//create thumbnail

function createThumbnail($srcFile, $destFile, $width, $quality = 100)
{
	$thumbnail = '';
	
	if (file_exists($srcFile)  && isset($destFile))
	{
		$size        = getimagesize($srcFile);
		$w           = number_format($width, 0, ',', '');
		$h           = number_format(($size[1] / $size[0]) * $width, 0, ',', '');
		
		$thumbnail =  copyImage($srcFile, $destFile, $w, $h, $quality);
	}
	
	// return the thumbnail file name on sucess or blank on fail
	return basename($thumbnail);
}

/*
	Copy an image to a destination file. The destination
	image size will be $w X $h pixels
*/
function copyImage($srcFile, $destFile, $w, $h, $quality = 100)
{
    $tmpSrc     = pathinfo(strtolower($srcFile));
    $tmpDest    = pathinfo(strtolower($destFile));
    $size       = getimagesize($srcFile);

    if ($tmpDest['extension'] == "gif" || $tmpDest['extension'] == "jpg")
    {
       $destFile  = substr_replace($destFile, 'jpg', -3);
       $dest      = imagecreatetruecolor($w, $h);
       imageantialias($dest, TRUE);
    } elseif ($tmpDest['extension'] == "png") {
       $dest = imagecreatetruecolor($w, $h);
       imageantialias($dest, TRUE);
    } else {
      return false;
    }

    switch($size[2])
    {
       case 1:       //GIF
           $src = imagecreatefromgif($srcFile);
           break;
       case 2:       //JPEG
           $src = imagecreatefromjpeg($srcFile);
           break;
       case 3:       //PNG
           $src = imagecreatefrompng($srcFile);
           break;
       default:
           return false;
           break;
    }

    imagecopyresampled($dest, $src, 0, 0, 0, 0, $w, $h, $size[0], $size[1]);

    switch($size[2])
    {
       case 1:
       case 2:
           imagejpeg($dest,$destFile, $quality);
           break;
       case 3:
           imagepng($dest,$destFile);
    }
    return $destFile;

}


/*
	Modify a product
*/
function modifyProduct()
{
	$productId   = (int)$_GET['productId'];	
    $catId       = $_POST['select'];
    $name        = $_POST['txtName2'];
	$description = $_POST['textarea'];
	$price       = str_replace(',', '', $_POST['txtPrice2']);
	$qty         = $_POST['txtQty2'];
	
	$images = uploadProductImage('fleImage2', SRV_ROOT . PRODUCT_IMAGE_DIR);

	$mainImage = $images['image'];
	$thumbnail = $images['thumbnail'];

	// if uploading a new image
	// remove old image
	if ($mainImage != '') {
		_deleteImage($productId);
		
		$mainImage = "'$mainImage'";
		$thumbnail = "'$thumbnail'";
	} else {
		// if we're not updating the image
		// make sure the old path remain the same
		// in the database
		$mainImage = 'pd_image';
		$thumbnail = 'pd_thumbnail';
	}
			
	$sql   = "UPDATE tbl_product 
	          SET cat_id = $catId, pd_name = '$name', pd_description = '$description', pd_price = $price, 
			      pd_qty = $qty, pd_image = $mainImage, pd_thumbnail = $thumbnail
			  WHERE pd_id = $productId";  

	$result =& dbQuery($sql);
	
	echo "<script>location.href='../index.php?view=prolist'</script>";			  
}

/*
	Remove a product
*/
function deleteProduct()
{
	if (isset($_GET['productId']) && (int)$_GET['productId'] > 0) {
		$productId = (int)$_GET['productId'];
	} else {
		echo "<script>location.href='../index.php?view=prolist'</script>";
	}
	
	// remove any references to this product from
	// tbl_order_item and tbl_cart
	$sql = "DELETE FROM tbl_order_item
	        WHERE pd_id = $productId";
	dbQuery($sql);
			
	$sql = "DELETE FROM tbl_cart
	        WHERE pd_id = $productId";	
	dbQuery($sql);
			
	// get the image name and thumbnail
	$sql = "SELECT pd_image, pd_thumbnail
	        FROM tbl_product
			WHERE pd_id = $productId";
			
	$result =& dbQuery($sql);
	while ($row =& dbFetchAssoc($result)){
	
	// remove the product image and thumbnail
	//if ($row['pd_image']) {
		@unlink(SRV_ROOT . PRODUCT_IMAGE_DIR . $row['pd_image']);
		@unlink(SRV_ROOT . PRODUCT_IMAGE_DIR . $row['pd_thumbnail']);
	}
	
	// remove the product from database;
	$sql = "DELETE FROM tbl_product 
	        WHERE pd_id = $productId";
	dbQuery($sql);
	
	echo "<script>location.href='../index.php?view=prolist'</script>";
}


/*
	Remove a product image
*/
function deleteImage()
{
	if (isset($_GET['productId']) && (int)$_GET['productId'] > 0) {
		$productId = (int)$_GET['productId'];
	} else {
		header('Location: index.php');
	}
	
	$deleted = _deleteImage($productId);

	// update the image and thumbnail name in the database
	$sql = "UPDATE tbl_product
			SET pd_image = '', pd_thumbnail = ''
			WHERE pd_id = $productId";
	dbQuery($sql);		

	header("Location: index.php?view=promodify&productId=$productId");
}

function _deleteImage($productId)
{
	// we will return the status
	// whether the image deleted successfully
	$deleted = false;
	
	$sql = "SELECT pd_image, pd_thumbnail 
	        FROM tbl_product
			WHERE pd_id = $productId";
	$result =& dbQuery($sql) or die('Cannot delete product image. ' . mysql_error());
	
	if (dbNumRows($result)) {
		while($row =& dbFetchAssoc($result)){
		//extract($row);
		
		//if ($pd_image && $pd_thumbnail) {
			// remove the image file
			$deleted = @unlink(SRV_ROOT . PRODUCT_IMAGE_DIR . $row['pd_image']);
			$deleted = @unlink(SRV_ROOT . PRODUCT_IMAGE_DIR . $row['pd_thumbnail']);
		}
		}

	
	return $deleted;
}
function prod_dis_list()
{
		$hdfrm=explode("/",$_POST['calendarfrom']);
		$hdto=explode("/",$_POST['calendarto']);
				
		$pd='';
		$sales='';
		if(isset($_POST['status']) && isset($_POST['txtId']))
		{
			$pd=$_POST['txtId'];
		}
					
		if(isset($_POST['sales']))
		{
			$sales="&sales=" . $_POST['sales'];
		}
		$from = date('Y-m-d H:i:s', mktime(0,0,0, (int)$hdfrm[1] , (int)$hdfrm[2], (int)$hdfrm[0]));		
		$to = date('Y-m-d H:i:s', mktime(0,0,0, (int)$hdto[1] , (int)$hdto[2] , (int)$hdto[0]));
		
				
	header("Location: ../index.php?view=prod_dis&from=" . $from . "&to=" . $to . "&pd=" . $pd . $sales);
}
function prod_fast_list()
{
		//$hdfrm=explode("/",$_POST['calendarfrom']);
		//$hdto=explode("/",$_POST['calendarto']);
		$top=$_POST['txtRange'];				
		
		$from = $_POST['calendarfrom'];//date('Y-m-d H:i:s', mktime(0,0,0, (int)$hdfrm[1] , (int)$hdfrm[2], (int)$hdfrm[0]));		
		$to = $_POST['calendarto'];//date('Y-m-d H:i:s', mktime(0,0,0, (int)$hdto[1] , (int)$hdto[2] , (int)$hdto[0]));
		
				
		header("Location: ../index.php?view=prod_fast_list&from=" . $from . "&to=" . $to . "&top=" . $top);
	
	}
function prod_slow_list()
{
		//$hdfrm=explode("/",$_POST['calendarfrom']);
		//$hdto=explode("/",$_POST['calendarto']);
		$top=$_POST['txtRange'];					
		
		$from = $_POST['calendarfrom'];//date('Y-m-d H:i:s', mktime(0,0,0, (int)$hdfrm[1] , (int)$hdfrm[2], (int)$hdfrm[0]));		
		$to = $_POST['calendarto'];//date('Y-m-d H:i:s', mktime(0,0,0, (int)$hdto[1] , (int)$hdto[2] , (int)$hdto[0]));
		
				
	header("Location: ../index.php?view=prod_slow_list&from=" . $from . "&to=" . $to . "&top=" . $top);
}
?>
